GNU bug report logs - #51097
[PATCH 0/2] gnu: lf: Update to 24

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Chadwain Holness <chadwainholness@HIDDEN>; Keywords: patch; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 51097-done <at> debbugs.gnu.org:


Received: (at 51097-done) by debbugs.gnu.org; 14 Oct 2021 13:49:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 14 09:49:52 2021
Received: from localhost ([127.0.0.1]:35007 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mb17I-0004WY-1o
	for submit <at> debbugs.gnu.org; Thu, 14 Oct 2021 09:49:52 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40204)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1mb17E-0004WI-PD
 for 51097-done <at> debbugs.gnu.org; Thu, 14 Oct 2021 09:49:51 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47958)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mb179-0002OD-Fb; Thu, 14 Oct 2021 09:49:43 -0400
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:53592
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1mb179-0007BR-5x; Thu, 14 Oct 2021 09:49:43 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Chadwain Holness <chadwainholness@HIDDEN>
Subject: Re: bug#51097: [PATCH 0/2] gnu: lf: Update to 24
References: <20211008190156.30173-1-chadwainholness@HIDDEN>
 <20211008191825.31034-1-chadwainholness@HIDDEN>
Date: Thu, 14 Oct 2021 15:49:40 +0200
In-Reply-To: <20211008191825.31034-1-chadwainholness@HIDDEN> (Chadwain
 Holness's message of "Fri, 8 Oct 2021 15:18:24 -0400")
Message-ID: <87wnmfpvgr.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51097-done
Cc: 51097-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Chadwain Holness <chadwainholness@HIDDEN> skribis:

> * gnu/packages/golang.scm (go-gopkg-in-djherbis-times-v1): New variable.

[...]

> * gnu/packages/disk.scm (lf): Update to 24

[...]

> * gnu/packages/disk.scm (lf): Update to 25

I merged these two and applied them.

Thanks!

Ludo=E2=80=99.




Notification sent to Chadwain Holness <chadwainholness@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Ludovic Courtès <ludo@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 51097 <at> debbugs.gnu.org:


Received: (at 51097) by debbugs.gnu.org; 10 Oct 2021 18:22:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 10 14:22:25 2021
Received: from localhost ([127.0.0.1]:55842 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mZdSr-0005H5-4y
	for submit <at> debbugs.gnu.org; Sun, 10 Oct 2021 14:22:25 -0400
Received: from mail-qk1-f170.google.com ([209.85.222.170]:39873)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <chadwainholness@HIDDEN>) id 1mZdSq-0005Gg-26
 for 51097 <at> debbugs.gnu.org; Sun, 10 Oct 2021 14:22:24 -0400
Received: by mail-qk1-f170.google.com with SMTP id 77so13383873qkh.6
 for <51097 <at> debbugs.gnu.org>; Sun, 10 Oct 2021 11:22:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=ClqSRgn8BUxAM6B/lQb1Ahdo6zGpO2ngMFR0iOsgLBU=;
 b=S6ppM1u6IrHo2E8XpjzAwhBfWFP2hPFkKlFLQO8xWiXGsFh28/IFsstJk2E25KLMLR
 nNx5aLN19YWBdw3kFDFGnuK2EWfmH0+Yj/mGxM8aE/JcTpCpLS9QLGs2Bh3vdjnsJurJ
 PVbGHq6q/C5pdTdBhxs6R9Tf60HF2i7BOcDj+o4X3M9UkZ2OpkyEIRuqcaajT99Gm6BP
 4ymY6h8MXi8omoO+KLWEV6XHUs+OtDo2MrhHar8A1B4N1HnZvLE7fAXdKHQPhNcyy9ds
 3ulMc30XkND0hFXtCiiPPcAio2BpuyxWN85tXDNYPIwKIaXYqJAfZSEpNhCYBofSLnLG
 3wIw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=ClqSRgn8BUxAM6B/lQb1Ahdo6zGpO2ngMFR0iOsgLBU=;
 b=WweMCMyQ14wXt4X4meG448tC4vmsH9yyJnVPbdDK0YlguOcxdzFY+R4zfxvExRzJuW
 s5w75h1CNupOnDKQJgYGpEHim8oAYNGINHqZkoww+mu1H3squeDLAyDoKBbYBdGyMDPe
 StYpYIUPaUDUrjH7fw6XJyQ7IBE6R4oQf4DneDbDLdqRhnzn1PXsngy2972T9epD9IGP
 GCjG7hO+H0HvYWTPpnG+taMaJHvJxNX8KF8c9eEQ1MdX4t30+WLN51suWZzwFlsp0hcB
 ztnLWmhQSZ7zAxYxi+O5I+YwF/q2/7gMIILdQYWthpz0lp1hO0W0x4xcIaONaYjNJ4Ce
 sF6Q==
X-Gm-Message-State: AOAM533Sd/JYHPv6CS/HDspOVr1kcoomhWLrdm2rS5y9E5MJl/shnJRd
 Wzx8xOrWUFzTE57HqZ/0mii9dWOANdo=
X-Google-Smtp-Source: ABdhPJyAC9YERLtC/gYuknfIgEOfbOuWQOLhs3Rl6M/w7t0M/V6+wsHtXrXatPQDKp3g0DukC1wqYQ==
X-Received: by 2002:a37:b681:: with SMTP id
 g123mr11566982qkf.348.1633890138355; 
 Sun, 10 Oct 2021 11:22:18 -0700 (PDT)
Received: from chad-artix.hsd1.fl.comcast.net ([2601:586:8380:3be0::fea4])
 by smtp.gmail.com with ESMTPSA id v7sm3064342qkd.41.2021.10.10.11.22.17
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 10 Oct 2021 11:22:18 -0700 (PDT)
From: Chadwain Holness <chadwainholness@HIDDEN>
To: 51097 <at> debbugs.gnu.org
Subject: [PATCH 1/1] gnu: lf: Update to 25
Date: Sun, 10 Oct 2021 14:21:38 -0400
Message-Id: <20211010182137.8814-2-chadwainholness@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20211010182137.8814-1-chadwainholness@HIDDEN>
References: <20211010182137.8814-1-chadwainholness@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 51097
Cc: Chadwain Holness <chadwainholness@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/disk.scm (lf): Update to 25
---
 gnu/packages/disk.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/disk.scm b/gnu/packages/disk.scm
index 769fc63748..abe49d7ad3 100644
--- a/gnu/packages/disk.scm
+++ b/gnu/packages/disk.scm
@@ -1046,7 +1046,7 @@ on your file system and offers to remove it.  @command{rmlint} can find:
 (define-public lf
   (package
     (name "lf")
-    (version "24")
+    (version "25")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -1055,7 +1055,7 @@ on your file system and offers to remove it.  @command{rmlint} can find:
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "0nc7vfkaxxl2a201wnbz74an3siz8cjwrfylx17v6al5n93vxip0"))))
+                "014cybng6hc9y3ma74hpc1ac3rkz4ydflx8jbmvx81rdd08rzwz7"))))
     (build-system go-build-system)
     (native-inputs
      `(("go-github.com-mattn-go-runewidth" ,go-github.com-mattn-go-runewidth)
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#51097; Package guix-patches. Full text available.

Message received at 51097 <at> debbugs.gnu.org:


Received: (at 51097) by debbugs.gnu.org; 10 Oct 2021 18:22:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 10 14:22:22 2021
Received: from localhost ([127.0.0.1]:55839 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mZdSn-0005Gq-Vu
	for submit <at> debbugs.gnu.org; Sun, 10 Oct 2021 14:22:22 -0400
Received: from mail-qv1-f53.google.com ([209.85.219.53]:44628)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <chadwainholness@HIDDEN>) id 1mZdSk-0005Ga-AC
 for 51097 <at> debbugs.gnu.org; Sun, 10 Oct 2021 14:22:20 -0400
Received: by mail-qv1-f53.google.com with SMTP id v2so205314qve.11
 for <51097 <at> debbugs.gnu.org>; Sun, 10 Oct 2021 11:22:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=QNBlH3tsMrCAanaYFkhDzS9zwBnkP3jiNWtJaQ+OVgI=;
 b=Od4pyl40DhI9aO0iFm+vvpoyMtWOGsyCEO7gDBT4IHVQlIAiiru3aObiS5m7QCdVI6
 xsABSq+KNourLOMPks8xiNQuHmFVA96kaYIKHNUI92QtRRdXAwc037d3XzigE4XBNcHY
 NXJyi4mT43pmnqVZ5U/1j0bX0saAYj7LpnqHH1gX4XWtei4r/1HOfDCUtQVNqdbaPoYt
 tC932bpGwalwziKgMk4WczilWKpv2AafppxT+lcsWhHqNvqwaxGkXs0IPDwHukZtxPoY
 jGJdNTEhc061G/b0EydqlFm/3ctu1G5/F0WK6Og1JTJA80cg+/pLtTAkzEO6b3m01P2n
 uxEQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=QNBlH3tsMrCAanaYFkhDzS9zwBnkP3jiNWtJaQ+OVgI=;
 b=IFP6jZV2CfZMLpOaybhnCU8Aor5V3xunW4OFtJxVTI9jRTy/MzHImRpqWqtS3dMdqf
 tiNbcKmrPEDO7tp60keYjvRPAoF+4ycNDG/2k2lWhzhkPhASQzfMBhdlGWMOZqLnF9VV
 Qvxzbz++3RQV9W+pCkpAwbGm3/QAVX5qGB3xVGHZ41D/o7yNF87lcnIxSdziHjPmfeX5
 +DQ55NU112vhF2yyfLKkWiA4M2m70FxBzAohJ4N5B5zi7agu/n+SqpE3r9n5dfCDH0rS
 Rqs4hdS4Un7eXcE03TLEn//0vPDD7I23wgxBCvWDYyI0kaXbEQMHb03K1hdIG4h5Xzil
 lwrg==
X-Gm-Message-State: AOAM531iF6tadjnUpbnhs2aNEmHbYGLlxdNPuJiiQ/2tznOVPvpLr5Qo
 3SetUwNyUAfmfJqZsQDm2ivuNobIZPA=
X-Google-Smtp-Source: ABdhPJy22AlTZiFcPBZkObleMGoVNzNtGu7idTB2hp9wdLEnKK+lqjQXL+SkmPNOOwbYAsYor/5YTg==
X-Received: by 2002:ad4:590e:: with SMTP id ez14mr14078408qvb.62.1633890132495; 
 Sun, 10 Oct 2021 11:22:12 -0700 (PDT)
Received: from chad-artix.hsd1.fl.comcast.net ([2601:586:8380:3be0::fea4])
 by smtp.gmail.com with ESMTPSA id v7sm3064342qkd.41.2021.10.10.11.22.11
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 10 Oct 2021 11:22:12 -0700 (PDT)
From: Chadwain Holness <chadwainholness@HIDDEN>
To: 51097 <at> debbugs.gnu.org
Subject: [PATCH 0/1] Update lf to 25
Date: Sun, 10 Oct 2021 14:21:37 -0400
Message-Id: <20211010182137.8814-1-chadwainholness@HIDDEN>
X-Mailer: git-send-email 2.33.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 51097
Cc: Chadwain Holness <chadwainholness@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Actually, lf has just released version 25.

Chadwain Holness (1):
  gnu: lf: Update to 25

 gnu/packages/disk.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#51097; Package guix-patches. Full text available.

Message received at 51097 <at> debbugs.gnu.org:


Received: (at 51097) by debbugs.gnu.org; 8 Oct 2021 19:18:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 08 15:18:40 2021
Received: from localhost ([127.0.0.1]:51892 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYvOB-0007GG-Pt
	for submit <at> debbugs.gnu.org; Fri, 08 Oct 2021 15:18:39 -0400
Received: from mail-qv1-f51.google.com ([209.85.219.51]:35690)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <chadwainholness@HIDDEN>) id 1mYvO9-0007G0-Tw
 for 51097 <at> debbugs.gnu.org; Fri, 08 Oct 2021 15:18:38 -0400
Received: by mail-qv1-f51.google.com with SMTP id a16so7046480qvm.2
 for <51097 <at> debbugs.gnu.org>; Fri, 08 Oct 2021 12:18:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:in-reply-to:references
 :mime-version:content-transfer-encoding;
 bh=UxIeE/urrsUVxDe3sBY8HGMasFuepMiJvaHqgRIibpA=;
 b=h2XLDRDFO9NSMAPUBWivWlTmpQiVOUeFFqpU3n/575zWdclxolj0RCdzwgGdwm9gVf
 dt1waulUh0FyjTnTUMNxjllcuuY2lgykgSJRgN/OaDMiAKYDRTB0yT17oACGYzGIG1cU
 F9ItQkXrPQG22kBDFVRZkGgCk6T1YAjmhQ3BaywlhIl7OoF0DGEwWtS7sOn22KysNXYL
 YaHQXbfvEEfaldx/Aj8bsj03Dg7HE1JzLJtUWQhRcF8fgfwofu7HoL9IF/7chqSM/DiW
 QBGyqXhg4uP/nZ0a6jK5vgf3UQPgz5U5YQzlnixlNhafv/0NnJGB6dSWCjm7U0vWxH+C
 WRYA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:in-reply-to
 :references:mime-version:content-transfer-encoding;
 bh=UxIeE/urrsUVxDe3sBY8HGMasFuepMiJvaHqgRIibpA=;
 b=pdO+UoQ5S5nT9UrNlEi099g1KvfO3ZoDHjqDFJIhIpayV4apLp3iulfBQn0e/GFZ9I
 Wa3CPDVj2kXlc048UHCexmIE6m7+hzC6YZBpnZpEpB9Cn/m+NaQ87NwwRjT5T8Dk7ez6
 rB2AcrI15Z7O7qP42ViC8TO6IxVJSQvLqEpb7pLF/7CQzgLuUR60BKVBKCxOlFeZF98/
 CdDfqHdX4SjbKssLIxqGbNa/bFwFmTC0FYg0Bw4LT5rxjEey+rn2+PPf8nEf/bZ4ZYVL
 B+M2CEVDStsobVkG4Ei7NCdFeUhzUThrZOvsQDSAOZGJdf3jeoFhOuSdBTW1b9NiR1G+
 1gqQ==
X-Gm-Message-State: AOAM531x7xNMYS2cHqJc63qjFQ6tZNclSnCKGfaIYiRyqvSdt3j9+vs/
 XqxHNW9Wg8p5vU2WeINLLI+9GfHQQ/8=
X-Google-Smtp-Source: ABdhPJwrrX9S9/zyx5QwqnH4GaFrf9ClFXUjkpEYmXJs3x3HqPXV4YjHoFVUaSOWH0qzXHWVHK1HoA==
X-Received: by 2002:a05:6214:140d:: with SMTP id
 n13mr11808671qvx.22.1633720712243; 
 Fri, 08 Oct 2021 12:18:32 -0700 (PDT)
Received: from chad-artix.hsd1.fl.comcast.net ([2601:586:8380:3be0::fea4])
 by smtp.gmail.com with ESMTPSA id g23sm146136qtu.5.2021.10.08.12.18.31
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 08 Oct 2021 12:18:31 -0700 (PDT)
From: Chadwain Holness <chadwainholness@HIDDEN>
To: 51097 <at> debbugs.gnu.org
Subject: [PATCH 2/2] gnu: lf: Update to 24
Date: Fri,  8 Oct 2021 15:18:25 -0400
Message-Id: <20211008191825.31034-2-chadwainholness@HIDDEN>
X-Mailer: git-send-email 2.33.0
In-Reply-To: <20211008191825.31034-1-chadwainholness@HIDDEN>
References: <20211008191825.31034-1-chadwainholness@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 51097
Cc: Chadwain Holness <chadwainholness@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/disk.scm (lf): Update to 24
---
 gnu/packages/disk.scm | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/disk.scm b/gnu/packages/disk.scm
index 7d6f3811dd..769fc63748 100644
--- a/gnu/packages/disk.scm
+++ b/gnu/packages/disk.scm
@@ -58,6 +58,7 @@
   #:use-module (gnu packages glib)
   #:use-module (gnu packages gnome)
   #:use-module (gnu packages gnupg)
+  #:use-module (gnu packages golang)
   #:use-module (gnu packages graphics)
   #:use-module (gnu packages gtk)
   #:use-module (gnu packages guile)
@@ -1045,7 +1046,7 @@ on your file system and offers to remove it.  @command{rmlint} can find:
 (define-public lf
   (package
     (name "lf")
-    (version "13")
+    (version "24")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -1054,11 +1055,14 @@ on your file system and offers to remove it.  @command{rmlint} can find:
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "1ld3q75v8rvp169w5p85z1vznqs9bhck6bm2f6fykxx16hmpb6ga"))))
+                "0nc7vfkaxxl2a201wnbz74an3siz8cjwrfylx17v6al5n93vxip0"))))
     (build-system go-build-system)
     (native-inputs
      `(("go-github.com-mattn-go-runewidth" ,go-github.com-mattn-go-runewidth)
-       ("go-github.com-nsf-termbox-go" ,go-github.com-nsf-termbox-go)))
+       ("go-github.com-nsf-termbox-go" ,go-github.com-nsf-termbox-go)
+       ("go-golang-org-x-term" ,go-golang-org-x-term)
+       ("go-gopkg-in-djherbis-times-v1" ,go-gopkg-in-djherbis-times-v1)
+       ("go-github-com-gdamore-tcell-v2" ,go-github-com-gdamore-tcell-v2)))
     (arguments
      `(#:import-path "github.com/gokcehan/lf"))
     (home-page "https://github.com/gokcehan/lf")
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#51097; Package guix-patches. Full text available.

Message received at 51097 <at> debbugs.gnu.org:


Received: (at 51097) by debbugs.gnu.org; 8 Oct 2021 19:18:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 08 15:18:13 2021
Received: from localhost ([127.0.0.1]:51889 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYvNl-0007FY-Ec
	for submit <at> debbugs.gnu.org; Fri, 08 Oct 2021 15:18:13 -0400
Received: from mail-qv1-f53.google.com ([209.85.219.53]:33419)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <chadwainholness@HIDDEN>) id 1mYvNk-0007FK-DC
 for 51097 <at> debbugs.gnu.org; Fri, 08 Oct 2021 15:18:12 -0400
Received: by mail-qv1-f53.google.com with SMTP id a9so7085983qvf.0
 for <51097 <at> debbugs.gnu.org>; Fri, 08 Oct 2021 12:18:12 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=DEoImD4oC4fQAa9WLt4dj8alWfOcYlcXbDXrDSv5t+k=;
 b=mPQBwL9iY2Hsy/e9bZZoCkyYcWGYzrsmM8fBwaklfHGxaUisN9leAIfVjhc6OwFM8K
 wSjVyGlhoAPnd1Y0jROuML2CCw7DjCfokNCqkIM8TRugDCotIXmS34r3vUUtmMJ6X8TA
 D2qK57ShO+F56+sdI6NOVcEsrG4T758NGsSL5qhRpm1QWme+V/z26CDOYQHtnTpctmy0
 wN+rQtHjjHtXWdJtE4QyLHvVfRbGREUhzmF8bX2O9v4WsgcKglfTvgncqYUlh1rwPXrJ
 qeP9N9wohvryMpQ/3reywFTBTrpz22sNHI6tEf9BMTX29GKprl2HOytGbNQg9VE13Xa6
 QPYQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=DEoImD4oC4fQAa9WLt4dj8alWfOcYlcXbDXrDSv5t+k=;
 b=zTTEiiGZAo76x9qz1OjuUt38eBl1YzIs1yFI/7LGvyeTXpYi00P4/4bgtrld+0BZC3
 t3yog/94Tnr7DpP/jKAEw/bgG2H9ONPWrlkIPdpLGwL4yr8uSTqC07qrPgErcjgFL0t7
 mcFlhhbhhbRpNoExFDU4T1Fp0Gug1i/1+sPZh+VfmtbeRBQJj0NSLI9B7vHpp1RbwyYN
 JDYW9h3cZviSNSpZqSOZjdKkzALHomiqYhdK4o4aBLuLypNiUcmiMbIXPSKMP8gjDrkb
 DWyZwYaWZIRZxcMlGyuu0PNMWUvE+PqFQtCWaX/pK0ca/nToxBlGV57LYuK2Tgg12PM0
 NNZg==
X-Gm-Message-State: AOAM530IhmG1WjAlZmpLMhLy4xW3Isc2kRHqW5KRPMHUX3U3ysN0EHG2
 ZoBZYy0FBbxQ5+vNW5y51UDbkvPc5v8=
X-Google-Smtp-Source: ABdhPJz7uUXN8R1mG8zncNC6kKUkpZz0ANt2UzzkY5Poe70CSaZOMzrC3HMvGhsyo7H6Z39ItW7dhg==
X-Received: by 2002:ad4:54ef:: with SMTP id k15mr11636879qvx.21.1633720686693; 
 Fri, 08 Oct 2021 12:18:06 -0700 (PDT)
Received: from chad-artix.hsd1.fl.comcast.net ([2601:586:8380:3be0::fea4])
 by smtp.gmail.com with ESMTPSA id g23sm146136qtu.5.2021.10.08.12.18.06
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 08 Oct 2021 12:18:06 -0700 (PDT)
From: Chadwain Holness <chadwainholness@HIDDEN>
To: 51097 <at> debbugs.gnu.org
Subject: [PATCH 1/2] gnu: Add go-gopkg-in-djherbis-times-v1.
Date: Fri,  8 Oct 2021 15:18:24 -0400
Message-Id: <20211008191825.31034-1-chadwainholness@HIDDEN>
X-Mailer: git-send-email 2.33.0
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 51097
Cc: Chadwain Holness <chadwainholness@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* gnu/packages/golang.scm (go-gopkg-in-djherbis-times-v1): New variable.
---
 gnu/packages/golang.scm | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index a96f743f68..bf8b27496a 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -30,6 +30,7 @@
 ;;; Copyright © 2021 Raghav Gururajan <rg@HIDDEN>
 ;;; Copyright © 2021 jgart <jgart@HIDDEN>
 ;;; Copyright © 2021 Bonface Munyoki Kilyungi <me@HIDDEN>
+;;; Copyright © 2021 Chadwain Holness <chadwainholness@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -8781,3 +8782,25 @@ line.  @code{csvdiff} supports
 JSON for post-processing
 @end itemize")
     (license license:expat)))
+
+(define-public go-gopkg-in-djherbis-times-v1
+  (package
+    (name "go-gopkg-in-djherbis-times-v1")
+    (version "1.5.0")
+    (home-page "https://gopkg.in/djherbis/times.v1")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url home-page)
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1xvl3rgjif5yf62p16yk05kxrsmzhz1kkqisvw4k02svzq10qbfy"))))
+    (build-system go-build-system)
+    (arguments
+     '(#:import-path "gopkg.in/djherbis/times.v1"))
+    (synopsis "Go library for getting file times")
+    (description
+     "Provides a platform-independent way to get atime, mtime, ctime and btime for files.")
+    (license license:expat)))
-- 
2.33.0





Information forwarded to guix-patches@HIDDEN:
bug#51097; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Oct 2021 19:13:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 08 15:13:55 2021
Received: from localhost ([127.0.0.1]:51884 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mYvJa-00077c-Rb
	for submit <at> debbugs.gnu.org; Fri, 08 Oct 2021 15:13:55 -0400
Received: from lists.gnu.org ([209.51.188.17]:46426)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <chadwainholness@HIDDEN>) id 1mYv87-0006q0-Ge
 for submit <at> debbugs.gnu.org; Fri, 08 Oct 2021 15:02:04 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:48250)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <chadwainholness@HIDDEN>)
 id 1mYv86-0007Ru-88
 for guix-patches@HIDDEN; Fri, 08 Oct 2021 15:02:03 -0400
Received: from mail-qk1-x736.google.com ([2607:f8b0:4864:20::736]:34486)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <chadwainholness@HIDDEN>)
 id 1mYv84-0004QX-MW
 for guix-patches@HIDDEN; Fri, 08 Oct 2021 15:02:01 -0400
Received: by mail-qk1-x736.google.com with SMTP id t63so5722155qkf.1
 for <guix-patches@HIDDEN>; Fri, 08 Oct 2021 12:01:59 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=2knyoX72cnog8Yy7NXHqkToS1wnjndHqKF9U7uAKyrI=;
 b=jcR4o8BpGvu28lortElhRxOBh6aRwtogVe6WooUfobModqQ8SnVbL7BT5Aw8FZZ0HB
 8xT+rsVDQbTaLsc7M8cOzI/vTJO5pTpUuGAEStFJxBunPKrqzSowGPbTjBMw+dKqCKvf
 nbuK3ZcLJLnFKo2zMakugti2VmjWaNpzRw+9J2OFnde6RIJkWCuiYRmFAqd+3Ih1QYwQ
 MN1ZQx7hp7yedh7TIwcmu4WmYLtFIEwo9SxSIAfM4q+/QKx0x/aWtbu1dPWHQBkP6QzJ
 9edLbRJcdG3w/pnepdAYT3YxsI+EN4oO2zhkqYUJFQJIRMwS7n+rS2UovpFOJffDIhSs
 Cb4Q==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=2knyoX72cnog8Yy7NXHqkToS1wnjndHqKF9U7uAKyrI=;
 b=QLg83KXO4J475VcRThadOLWSC1SdCEsp103iBG6m2AsyWS35M5Pyo0+GTCqUPpLeor
 l6ZScZ6peIwjohMHzEYFceOJ0TUYhti8kWRQaY7XJMhxzwBfj5kekMk4hzKZeoO0oree
 QWsdgmsGuA1MUWsP5hIsjVKaEmUdfeY7MmanelEs/BGcb5xT0cpETspb0F5rdkfuHzAZ
 z15JZ3y+v7xNRArYUMwFL6Yo40kR6j5Mrs8H+ngTPXj602oEVp12Hb6OJka4W0Zp/A6H
 HBfb2b8EyEZptzsRw4C3iHVjJYR9w0p56o4zyEqp5wiHDoJuvqr+NZ5+bMQ+CYXRmZL4
 rB1Q==
X-Gm-Message-State: AOAM5325Iwrbx8zDWcqfFfwFuAwhPR2qWTRtXMBJqXW/Gt1BrZrVCdKa
 zMyrF/DkUSaqGp8XZoRe+vbf4WpVWHc=
X-Google-Smtp-Source: ABdhPJzgqSdp5wiMeiXH9YNAIb8uGkbWlDh0RMX5EDvsib0rjCzZD6bfDfrS/NJ0vzxT9RGKOMJZLw==
X-Received: by 2002:a37:afc4:: with SMTP id y187mr4406780qke.520.1633719717860; 
 Fri, 08 Oct 2021 12:01:57 -0700 (PDT)
Received: from chad-artix.hsd1.fl.comcast.net ([2601:586:8380:3be0::fea4])
 by smtp.gmail.com with ESMTPSA id u13sm184190qkj.34.2021.10.08.12.01.57
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 08 Oct 2021 12:01:57 -0700 (PDT)
From: Chadwain Holness <chadwainholness@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 0/2] gnu: lf: Update to 24
Date: Fri,  8 Oct 2021 15:01:56 -0400
Message-Id: <20211008190156.30173-1-chadwainholness@HIDDEN>
X-Mailer: git-send-email 2.33.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2607:f8b0:4864:20::736;
 envelope-from=chadwainholness@HIDDEN; helo=mail-qk1-x736.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Fri, 08 Oct 2021 15:13:53 -0400
Cc: Chadwain Holness <chadwainholness@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Updates lf to 24. Also adds new dependency go-gopkg-in-djherbis-times-v1.

Chadwain Holness (2):
  gnu: Add go-gopkg-in-djherbis-times-v1.
  gnu: lf: Update to 24

 gnu/packages/disk.scm   | 10 +++++++---
 gnu/packages/golang.scm | 23 +++++++++++++++++++++++
 2 files changed, 30 insertions(+), 3 deletions(-)

-- 
2.33.0





Acknowledgement sent to Chadwain Holness <chadwainholness@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#51097; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 14 Oct 2021 14:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.